package trismegistoplanilla.servicesMysql;

import org.json.JSONObject;
import trismegistoplanilla.beans.LoteFichaBean;
import trismegistoplanilla.dao.DAOFactory;
import trismegistoplanilla.dao.DetalleLoteFichaDocenteDAO;

public class DetalleLoteFichaDocenteService {

  DAOFactory daoFactory = DAOFactory.getDAOFactory(DAOFactory.MYSQL);
  DetalleLoteFichaDocenteDAO dao = daoFactory.getDetalleLoteFichaDocenteDAO();

  public JSONObject listarDetalleLoteFichaDocenteDT(LoteFichaBean loteFicha) {
    JSONObject jsonReturn = null;
    try {
      jsonReturn = dao.listarDetalleLoteFichaDocenteDT(loteFicha);
    } catch (Exception e) {
      e.printStackTrace();
    }
    return jsonReturn;
  }

  public JSONObject registrarSueldosPresidenciaLoteDocente(JSONObject data) {
    JSONObject jsonReturn = null;
    try {
      jsonReturn = dao.registrarSueldosPresidenciaLoteDocente(data);
    } catch (Exception e) {
      e.printStackTrace();
    }
    return jsonReturn;
  }

  public JSONObject listarDetalleLoteFichaAdministrativoDT(JSONObject data) {
    JSONObject jsonReturn = null;
    try {
      jsonReturn = dao.listarDetalleLoteFichaAdministrativoDT(data);
    } catch (Exception e) {
      e.printStackTrace();
    }
    return jsonReturn;
  }

  public JSONObject registrarSueldosPresidenciaLoteAdministrativo(JSONObject data) {
    JSONObject jsonReturn = null;
    try {
      jsonReturn = dao.registrarSueldosPresidenciaLoteAdministrativo(data);
    } catch (Exception e) {
      e.printStackTrace();
    }
    return jsonReturn;
  }

  public JSONObject obtenerDetalleFicha(JSONObject data) {
    JSONObject jsonReturn = null;
    try {
      jsonReturn = dao.obtenerDetalleFicha(data);
    } catch (Exception e) {
      e.printStackTrace();
    }
    return jsonReturn;
  }

}
