package trismegistoplanilla.utilities;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;
import trismegistoplanilla.sqlserverdao.SqlserverDAOFactory;

public class DateTimeServer {

  public static String getDateTimeServer() {
    String datetime = "";
    String base = "planillabd";
    String sql = "select format(getdate(), 'dd/MM/yyyy HH:mm:ss') + ' ' + right(convert(varchar, getdate(), 0), 2) fechaServer";
    
    Connection conexion = null;
    PreparedStatement ps = null;
    ResultSet rs = null;
    try {
      conexion = SqlserverDAOFactory.obtenerConexion(base);
      ps = conexion.prepareStatement(sql);
      rs = ps.executeQuery();
      rs.next();
      datetime = rs.getString("fechaServer");
    } catch (SQLException e) {      
    } finally {
      try {
        if (rs != null) {
          rs.close();
        }
        if (ps != null) {
          ps.close();
        }
        if (conexion != null) {
          conexion.close();
        }
      } catch (SQLException e) {
        e.printStackTrace();
      }
    }
    return datetime;
  }

  public static String getdate() {
    DateFormat dateFormat = new SimpleDateFormat("dd/MM/yyyy HH:mm:ss");
    Date date = new Date();
    return dateFormat.format(date);
  }
}
