/* global accionBuscar, fetch, nuevaFicha, axios */
//const TOKEN_API_KEY = "G6zZC2bo9dZ3gw23B1oIjZdDBAVnLbxa8afLRagp"; // ya murio :v
//const TOKEN_API_KEY = "TwxyNLmr4akhym7NrDkGPnseeFRwMTzVKJCz9DZW"; // elpapu123@yopmail.com
const TOKEN_API_KEY = "Z84Hk6wqJ6MJLTXWX6F0p0Z5TPjFXnxYG1aFzgbv"; // ramp_alonso@outlook.com
//const TOKEN_API_KEY = "cp53TNd1bcIk3mjWDrGHbOB7XuvZgQM2dK6IXK0Q"; // (activo)



const request = {
	obtenerCorreoPorDefecto() {
		return new Promise((resolve, reject) => {
			$.ajax({
				type: 'POST',
				url: '../ConfiguracionFichaServlet',
				data: {accion: 'getDefaultMail'},
				beforeSend: function (xhr) {
//          load('Cargando correo por defecto');
				},
				success: function (data, textStatus, jqXHR) {
					if (textStatus === 'success') {
//            unload();
						resolve(data)
					}
				},
				error: function (jqXHR, textStatus, errorThrown) {
					reject('Lo sentimos, no se pudo procesar la solicitud (obtenerCorreoPorDefecto): ' + errorThrown);
				}
			});
		});
	},

	listarTipoDocumento() {
		return new Promise((resolve, reject) => {
			$.ajax({
				type: 'POST',
				url: '../TipoDocumentoServlet',
				data: {accion: 'listarTipoDocumento'},
				beforeSend: () => {
//          load('Cargando datos, por favor espere');
				},
				success: (data, textStatus, jqXHR) => {
					if (textStatus === 'success') {
//            unload();
						resolve(data.data.tipodocumentos);
					}
				},
				error: (jqXHR, textStatus, errorThrown) => {
					reject('Lo sentimos, no se pudo procesar la solicitud (listarTipoDocumento): ' + errorThrown);
				}
			});
		});
	},

	buscarFichasPendientes(json) {
		defaultConfigDataTable();
		$('#tblListadoFichaPendiente').DataTable().destroy();
		$('#tblListadoFichaPendiente').DataTable({
			processing: true,
			serverSide: true,
			iDisplayLength: 20,
			ajax: {
				url: '../FichaServlet',
				type: 'POST',
				dataType: 'json',
				data: {
					accion: 'listarFichaDT',
					json: json
				}
			},
			columns: [
				{
					data: "item",
					className: "text-bold, text-center"
				},
				{
					data: "descripcionCortaTipoDocumento",
					className: "text-semibold"
				},
				{
					data: "numeroDocumento",
					className: "text-semibold"
				},
				{
					data: "personal",
					className: "text-semibold"
				},
				{
					data: "fechaRegistro",
					className: "text-semibold text-center"
				},
				{
					data: "correo",
					className: "text-semibold"
				},
				{
					data: "estilo",
					className: "text-semibold text-center"
				},
				{
					data: "codigoTipoEstadoFicha",
					className: "text-semibold, text-center",
					render: (data, type, wor) => {
						let accion = ``;
						if (data === 1) { // pendiente
							accion =
								`
                    <ul class="icons-list">
                        <li class="text-primary-800">
                            <a href="#" onclick="return false" class="editarFicha" data-toggle="tooltip" title="EDITAR FICHA"><i class="icon-pencil5"></i></a>
                        </li>
                        <li class="text-danger-800">
                            <a href="#" onclick="return false" class="anularFicha" data-toggle="tooltip" title="ANULAR FICHA"><i class="icon-trash"></i></a>
                        </li>
                    </ul>
                    `;
						} else if (data === 3) { // registrado
							accion =
								`
                    <ul class="icons-list">
                        <li class="text-slate-800">
                            <a href="#" onclick="return false" class="verDetalleFichaAdministrativa" data-toggle="tooltip" data-placement="right" title="Ver detalle ficha"><i class="fa fa-file-text-o fa-lg"></i></a>
                        </li>
                    </ul>
                    `;
						}
						return accion;
					}
				}
			],
			initComplete: () => {
				$('.editarFicha, .anularFicha, .verDetalleFichaAdministrativa').tooltip();
			}
		});
	},

	listarSede() {
		return new Promise((resolve, reject) => {
			$.ajax({
				type: 'POST',
				url: '../SedeServlet',
				data: {accion: 'listarSede'},
				beforeSend: () => {
//          load('Cargando sedes');
				},
				success: (data, textStatus, jqXHR) => {
					if (textStatus === 'success') {
//            unload();
						resolve(data.data.sedes);
					}
				},
				error: (jqXHR, textStatus, errorThrown) => {
					reject('Lo sentimos, no se pudo procesar la solicitud (listarSede): ' + errorThrown);
				}
			});
		})
	},

	listarArea(codigoSede) {
		return new Promise((resolve, reject) => {
			$.ajax({
				type: 'POST',
				url: '../AreaServlet',
				data: {accion: 'listarArea', codigoSede: codigoSede},
				beforeSend: () => {
//          load('Cargando áreas');
				},
				success: (data, textStatus, jqXHR) => {
					if (textStatus === 'success') {
//            unload();
						resolve(data.data.areas);
					}
				},
				error: (jqXHR, textStatus, errorThrown) => {
					reject('Lo sentimos, no se pudo procesar la solicitud (listarArea): ' + errorThrown);
				}
			});
		});
	},

	listarCargo(codigoArea) {
		return new Promise((resolve, reject) => {
			$.ajax({
				type: 'POST',
				url: '../CargoServlet',
				data: {accion: 'listarCargo', codigoArea: codigoArea},
				beforeSend: () => {
//          load('Cargando cargos');
				},
				success: (data, textStatus, jqXHR) => {
					if (textStatus === 'success') {
//            unload();
						resolve(data.data.cargos);
					}
				},
				error: (jqXHR, textStatus, errorThrown) => {
					reject('Lo sentimos, no se pudo procesar la solicitud (listarCargo): ' + errorThrown);
				}
			});
		});
	},

	obtenerSedeArea(codigoSede, codigoArea) {
		return new Promise((resolve, reject) => {
			$.ajax({
				type: 'POST',
				url: '../SedeAreaServlet',
				data: {accion: 'obtenerSedeArea', codigoSede: codigoSede, codigoArea: codigoArea},
				beforeSend: () => {
//          load('Obteniendo resultados');
				},
				success: (data, textStatus, jqXHR) => {
					if (textStatus === 'success') {
//            unload();
						resolve(data.data.getResultedKey);
					}
				},
				error: (jqXHR, textStatus, errorThrown) => {
					reject('Lo sentimos, no se pudo procesar la solicitud (obtenerSedeArea): ' + errorThrown);
				}
			});
		})
	},

	obtenerAreaCargo(codigoArea, codigoCargo) {
		return new Promise((resolve, reject) => {
			$.ajax({
				type: 'POST',
				url: '../AreaCargoServlet',
				data: {accion: 'obtenerAreaCargo', codigoArea: codigoArea, codigoCargo: codigoCargo},
				beforeSend: () => {
//          load('Obteniendo resultados');
				},
				success: (data, textStatus, jqXHR) => {
					if (textStatus === 'success') {
//            unload();
						resolve(data.data.getResultedKey)
					}
				},
				error: (jqXHR, textStatus, errorThrown) => {
					reject('Lo sentimos, no se pudo procesar la solicitud (obtenerAreaCargo): ' + errorThrown);
				}
			});
		});
	},

	consultarDNI(dni) {
		return new Promise((resolve, reject) => {
			load('Consultando DNI');
			let responseDni = {
				servicio: {
					statusCode: 0,
					statusMessage: ''
				},
				persona: {
					empty: true,
					message: '',
					apellidoPaterno: '',
					apellidoMaterno: '',
					nombres: '',
					dni: ''
				}
			};
			const url = `http://172.16.2.37/peruApi/peru-consult-api/public/api/v1/dni/${dni}?token=abcxyz`;
//			const url = `http://localhost/peruApi/peru-consult-api/public/api/v1/dni/${dni}?token=abcxyz`;
//      const url = 'https://tecactus.com/api/reniec/dni';
			const json = {
//        method: 'POST',
				method: 'GET',
//        signal,
				headers: {
					'Content-Type': 'application/json',
					'Authorization': 'Bearer ' + TOKEN_API_KEY
				},
//        body: JSON.stringify({dni: dni})
			};
//      const myFetch = fetch(url, json)
			fetch(url, json)
				.then(response => {
					responseDni.servicio.statusCode = response.status
					responseDni.servicio.statusMessage = response.statusText
					return response.json();
				})
				.then(response => {
					unload();
//					 ¿La petición devolvio a la persona?
					if (responseDni.servicio.statusCode === 200) { // SI
						responseDni.persona.empty = false;
						responseDni.persona.apellidoPaterno = response.apellidoPaterno;
						responseDni.persona.apellidoMaterno = response.apellidoMaterno;
						responseDni.persona.nombres = response.nombres;
						responseDni.persona.dni = response.dni;
					} else { // NO
						responseDni.persona.empty = true;
						responseDni.persona.message = response;
					}
					console.log(responseDni.persona)
					resolve(responseDni.persona);
				})
				.catch(error => {
					unload();
					responseDni.servicio.statusCode = -1;
					responseDni.servicio.statusMessage = error;
					reject(responseDni.servicio);
				});
		});
	},

	validarExistenciaNumeroDocumento(json) {
		return new Promise((resolve, reject) => {
			$.ajax({
				type: 'POST',
				url: '../PersonaServlet',
				data: {accion: 'validarExistenciaNumeroDocumento', json: JSON.stringify(json)},
				dataType: 'json',
				beforeSend: () => {
//          load('Validando datos');
				},
				success: (data, textStatus, jqXHR) => {
					if (textStatus === 'success') {
//            unload();
						resolve(data);
					}
				},
				error: (jqXHR, textStatus, errorThrown) => {
					reject('Lo sentimos, no se pudo procesar la solicitud (validarExistenciaNumeroDocumento): ' + errorThrown);
				}
			});
		});
	},

	validarExistenciaCorreo(correo) {
		return new Promise((resolve, reject) => {
			$.ajax({
				type: 'POST',
				url: '../PersonaServlet',
				data: {accion: 'validarExistenciaCorreoElectronico', correoElectronico: correo},
				beforeSend: () => {
//          load('Validando datos');
				},
				success: (data, textStatus, jqXHR) => {
					if (textStatus === 'success') {
//            unload();
						resolve(data);
					}
				},
				error: (jqXHR, textStatus, errorThrown) => {
					reject('Lo sentimos, no se pudo procesar la solicitud (validarExistenciaCorreo): ' + errorThrown);
				}
			});
		});
	},

	obtenerDatosFicha(codigoPersona) {
		return new Promise((resolve, reject) => {
			$.ajax({
				type: 'POST',
				url: '../FichaServlet',
				data: {accion: 'listarDatosFicha', codigoPersona: codigoPersona},
				dataType: 'JSON',
				beforeSend: (xhr) => {
//          load('redireccionando');
				},
				success: (data, textStatus, jqXHR) => {
					if (textStatus === 'success') {
//            unload();
						resolve(data);
					}
				},
				error: (jqXHR, textStatus, errorThrown) => {
					reject('Lo sentimos, no se pudo procesar la solicitud (obtenerDatosFicha): ' + errorThrown);
				}
			});
		});
	},

	registrarFicha(json) {
		return new Promise((resolve, reject) => {
			$.ajax({
				type: 'POST',
				url: '../PersonaServlet',
				data: {accion: 'registrarNuevaFicha', json: JSON.stringify(json)},
				dataType: 'JSON',
				beforeSend: (xhr) => {
					load('Registrando ficha');
				},
				success: (data, textStatus, jqXHR) => {
					if (textStatus === 'success') {
						unload();
						resolve(data);
					}
				},
				error: (jqXHR, textStatus, errorThrown) => {
					reject('Lo sentimos, no se pudo procesar la solicitud (registrarFicha): ' + errorThrown);
				}
			});
		});
	},

	actualizarFicha(json) {
		return new Promise((resolve, reject) => {
			$.ajax({
				type: 'POST',
				url: '../FichaServlet',
				data: {accion: 'actualizarFicha', json: JSON.stringify(json)},
				dataType: 'JSON',
				beforeSend: (xhr) => {
					load('Actualizando ficha');
				},
				success: (data, textStatus, jqXHR) => {
					if (textStatus === 'success') {
						unload();
						resolve(data);
					}
				},
				error: (jqXHR, textStatus, errorThrown) => {
					reject('Lo sentimos, no se pudo procesar la solicitud (actualizarFicha): ' + errorThrown);
				}
			});
		});
	},

	anularFicha(json) {
		return new Promise((resolve, reject) => {
			$.ajax({
				type: 'POST',
				url: '../FichaServlet',
				data: {accion: 'anularFicha', json: JSON.stringify(json)},
				beforeSend: () => {
					load('Anulando Ficha, por favor espere');
				},
				success: (data, textStatus, jqXHR) => {
					if (textStatus === 'success') {
						unload();
						resolve(data);
					}
				},
				error: (jqXHR, textStatus, errorThrown) => {
					reject('Lo sentimos, no se pudo procesar la solicitud (anularFicha): ' + errorThrown);
				}
			});
		});
	},

	validarFichaActiva(json) {
		return new Promise((resolve, reject) => {
			$.ajax({
				type: 'POST',
				url: '../FichaServlet',
				data: {accion: 'validarFichaActiva', json: JSON.stringify(json)},
				success: (data, textStatus, jqXHR) => {
					if (textStatus === 'success') {
						resolve(data);
					}
				},
				error: (jqXHR, textStatus, errorThrown) => {
					reject('Lo sentimos, no se pudo procesar la solicitud (validarFichaActiva): ' + errorThrown);
				}
			});
		});
	},

	validarExistenciaFichaAnulada(json) {
		return new Promise((resolve, reject) => {
			$.ajax({
				type: 'POST',
				url: '../FichaServlet',
				data: {accion: 'verificarExistenciaFichaAnulada', json: JSON.stringify(json)},
				success: (data, textStatus, jqXHR) => {
					if (textStatus === 'success') {
						resolve(data);
					}
				},
				error: (jqXHR, textStatus, errorThrown) => {
					reject('Lo sentimos, no se pudo procesar la solicitud (validarExistenciaFichaAnulada): ' + errorThrown);
				}
			});
		});
	},

	obtenerCodigoPersonaPorTipoDocumentoYNumeroDocumento(json) {
		return new Promise((resolve, reject) => {
			$.ajax({
				type: 'POST',
				url: '../FichaServlet',
				data: {accion: 'obtenerCodigoPersonaPorTipoDocNroDoc', json: JSON.stringify(json)},
				success: (data, textStatus, jqXHR) => {
					if (textStatus === 'success') {
						resolve(data);
					}
				},
				error: (jqXHR, textStatus, errorThrown) => {
					reject('Lo sentimos, no se pudo procesar la solicitud (obtenerCodigoPersonaPorTipoYNumeroDocumento): ' + errorThrown);
				}
			});
		});
	},

	habilitarFicha(json) {
		return new Promise((resolve, reject) => {
			$.ajax({
				type: 'POST',
				url: '../FichaServlet',
				data: {accion: 'habilitarFicha', json: JSON.stringify(json)},
				beforeSend: () => {
					load('Registrando ficha');
				},
				success: (data, textStatus, jqXHR) => {
					if (textStatus === 'success') {
						unload();
						resolve(data);
					}
				},
				error: (jqXHR, textStatus, errorThrown) => {
					reject('Lo sentimos, no se pudo procesar la solicitud (habilitarFicha): ' + errorThrown);
				}
			});
		});
	},

	validarVacanteFicha(obj) {
		return axios.post('../VacanteServlet?accion=validarVacanteFicha', {
			json: {
				codigoSedeArea: obj.codigoSedeArea,
				codigoAreaCargo: obj.codigoAreaCargo
			}
		})
	}
}
