package trismegistoplanilla.services;

import org.json.JSONObject;
import trismegistoplanilla.dao.DAOFactory;
import trismegistoplanilla.dao.ReportePersonalDAO;

public class ReportePersonalService {

  DAOFactory factory = DAOFactory.getDAOFactory(DAOFactory.SQL_SERVER);
  ReportePersonalDAO objReporte = factory.getReportePersonalDAO();

  public JSONObject validarExistenciaFilas(JSONObject jsonResult) {
    JSONObject JOReporte = null;
    try {
      JOReporte = objReporte.validarExistenciaFilas(jsonResult);
    } catch (Exception e) {
      e.printStackTrace();
    }
    return JOReporte;
  }
}
