package trismegistoplanilla.servicesMysql;

import org.json.JSONObject;
import trismegistoplanilla.beans.TipoExpedienteBean;
import trismegistoplanilla.dao.DAOFactory;
import trismegistoplanilla.dao.TipoExpedienteDAO;

public class TipoExpedienteService {

  DAOFactory factory = DAOFactory.getDAOFactory(DAOFactory.MYSQL);
  TipoExpedienteDAO obj = factory.getTipoExpedienteDAO();

  public JSONObject listarTipoExpediente() {
    JSONObject JOlistarTipoExpediente = null;
    try {
      JOlistarTipoExpediente = obj.listarTipoExpediente();
    } catch (Exception e) {
      e.printStackTrace();
    }
    return JOlistarTipoExpediente;
  }

  public JSONObject registrarTipoExpediente(TipoExpedienteBean te) {
    JSONObject JOregistrarTipoExpediente = null;
    try {
      JOregistrarTipoExpediente = obj.registrarTipoExpediente(te);
    } catch (Exception e) {
      e.printStackTrace();
    }
    return JOregistrarTipoExpediente;
  }

}
